%define pkgname xml-simple
Summary:	Easy XML API for Ruby
Summary(pl.UTF-8):	Proste API XML-a dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.0.12
Release:	3
License:	Ruby's
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	bd526c32d7dd49ce329f2dbc6d3f47c9
URL:		http://xml-simple.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class XmlSimple offers an easy API to read and write XML. It is a Ruby
translation of Grant McLean's Perl module XML::Simple.

%description -l pl.UTF-8
Klasa XmlSimple oferuje proste API do odczytu i zapisu XML-a. Jest to
tłumaczenie dla języka Ruby modułu Perla Granta McLeana XML::Simple.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q

%build
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/xmlsimple.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/XmlSimple
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-xml-simple.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 2e1b425
- build noarch, to vendorlibdir

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 8695ebc
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Fri May 14 2010 sparky <sparky@pld-linux.org> ec17673
- BR: ruby-modules

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> ecb39f5
- up to 1.0.12
- added ri package
- updated build

* Thu Jan 08 2009 Jakub Bogusz <qboosh@pld-linux.org> a8c5509
- pl for -rdoc

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 06ee0fd
- add -rdoc, dep for REXML

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> ed7ac8f
- pl

* Thu Dec 13 2007 aredridel <aredridel@pld-linux.org> 44b62ed
- 1.0.11

